# &kst;-håndbogen

Barth
Netterfield

    kst@omega.astro.utoronto.ca

Erik Kjær
Pedersen

    erik@binghamton.edu

2002-07-27
0.72

Kst er et todimensionalt plotte- og datavisningsprogram, med bekvemme kommandolinjeflag, kraftfuld forstørrelse med mus og tastatur, og mulighed for at indspille diagramoversigter i realtid.

KDE
kst

## Indledning

### Funktioner

Dokumentationen for Kst var ikke færdig da du installerede programmet. Hvis du vil skrive den, så fortæl CBN om det. Hvis du kender CBN, kan du prøve at få ham til at skrive den. Ellers må du være tålmodig...

## Brug af kommandolinje og eksempler

En typisk brug af Kst er fra kommandolinjen, for at oprette X-Y plot af datafiler. Kst kan læse ASCII-data, eller binære filer som virker med readdata. Valgmulighederne er:

### Kommandolinjeflag

    kst [Qt-flag] [KDE-flag] [flag] [filer]

`[filer]` En .kst-fil, eller en eller flere datafiler. Formater som understøttes er ASCII-søjler, BOOMERANG rammefiler eller BLAST dirfile-filer. En .kst-fil opbevarer al information som kan indstilles med andre flag. Følgende flag kan bruges til at sætte flag som er indstillet i .kst-filen ud af kraft: `-F datafil`, `-n NS`, `-s NS`, `-f F0`, `-a`. Resten kan ikke sættes ud af kraft. Hvis et flag angives, så anvendes det på alle vektorer i plottet.

ASCII-data fra standardindtastningen kan tegnes op ved at angive "stdin" i listen med `[filer]`.

`-y Y` Kilden til y-aksens data. For ASCII-filer er det søjlen. For binære filer er det feltnavnet. For at tegne flere kurver, kan det angives flere gange. Samme kildefil, samplingsinterval og X-akse-data antages.

`-e E` Fejlbjælker for y-akse-data. For ASCII-filer angiver det søjlen som indeholder data. For binære filer bruges feltnavnet. Hvis flere flag `-y Y` angives, kan dette også angives flere gange. Enkelte Y-flag tilknyttes flere E-flag i rækkefølge.

`-x X` Kilden til x-aksens data. For ASCII-filer er det søjlen. For readdata-filer er det feltnavnet. Hvis det ikke angives bruges linjenummeret i filen. Flaget kan kun angives en gang.

`-p P` Kilden til effektspektrum. For ASCII-filer er det søjlen. For binære filer er det feltnavnet. For at plotte effektspektrum for flere kurver, kan det angives flere gange. Samme kildefil, samplingsinterval og FFT-længder bruges for alle effektspektre som der bedes om på kommandolinjen.

`-l P` Længde af den FFT som bruges til at estimere effektspektrum er 2^P.

`-h H` Kilden for histogram. For ASCII-filer er det søjlen. For binære filer er det feltnavnet. Flere histogrammer kan angives på kommandolinjen.

`-m NC` Bruges når flere kurver er defineret. I stedet for at plotte alle kurver i samme diagram, plottes hver i sit eget plot.

`-f F0` Indledende rammenummer (for readdata-filer) eller række (for ASCII-filer) at læse.

`-n` Antal rammer (for readdata-filer) eller rækker (for ASCII-filer) at læse.

`-s NS` Antal rammer eller rækker at springe over for hver læsning. Dette er nyttigt ved arbejde med meget store datafiler, for at gøre svarstiden hurtigere og spare hukommelse, i det tilfælde hvor data varierer langsomt.

`-a` Brugt med `-s NS`: i stedet for at springe over NS-rammer, tages middelværdien af dem. Dette sørger for en kombination af meget grundlæggende højpasfiltrering og at gemme hukommelse.

`-F datafil` Sæt filen filen at læse data fra for alle vektorer som angives i .kst-filen ud af kraft. Kan kun bruges sammen med en .kst-fil.

`--print psfil` I stedet for at vise plottet, eksporteres billedet til en Postscript-fil og der afsluttes. *Fejlinformation: selvom intet vindue åbnes på skærmen, så kræves stadigvæk adgang til X-serveren.*

`--png pngfil` I stedet for at vise plottet, eksporteres billedet til en png-fil med dimensionen 640x480 og der afsluttes. *Fejlinformation: selvom ingen vinduer åbnes på skærmen, så kræves stadigvæk adgang til X-serveren.*

### Eksempel på kommandolinjer

Flere eksempler på typisk brug følger:

For at plotte søjle 1 i filen (tmp.dat) med ASCII-data:

    omega% kst -y 1 tmp.dat

For at plotte søjle 2, 3 og 4 mod søjle 1 fra en ASCII-fil i et plot:

    omega% kst -x 1 -y 2 -y 3 -y 4 tmp.dat

For at plotte søjle 2, 3 og 4 mod søjle 1 fra en ASCII-fil i tre plot, arrangeret i en søjle:

    omega% kst -x 1 -y 2 -y 3 -y 4 -m 1 tmp.dat

For at plotte 500 linjer af søjle 2 fra en ASCII-fil, begyndende på linje 100:

    omega% kst -y 2 -f 100 -n 500 tmp.dat

For at plotte de første 100 000 linjer af søjle 2 fra en ASCII-fil, med middelværdidannelse af hver 100 rækker:

    omega% kst -y 2 -f 0 -n 100000 -s 100 -a tmp.dat

## Spørgsmål, svar og vink

### Spørgsmål 1

Svaret - gæt.

## Installation

Ikke skrevet endnu

### Hvordan får man fat på Kst

Ikke skrevet endnu

### Krav

Ikke skrevet endnu

### Kompilering og installation

Kompilering er meget enkel. Følgende skulle klare det:

    &percnt; ./configure
    &percnt; make
    &percnt; make install

Det skulle gøre det. Skulle du støde på problemer, så rapportér dem gerne til forfatteren på cbn@omega.astro.utoronto.ca.

&underFDL;